<template>
  <section>
    <header class="columns">
      <div class="column is-hidden-mobile">
        {{ dateAlerte.date }}
      </div>
      <div class="column is-narrow is-hidden-mobile">
        {{ dateAlerte.alertes.length }}
      </div>
      <div class="column is-hidden-tablet">{{ dateAlerte.date }} ({{ dateAlerte.alertes.length }})</div>
    </header>
    <ul>
      <template v-for="alerte in dateAlerte.alertes">
        <slot :item="alerte"></slot>
      </template>
    </ul>
  </section>
</template>

<script>
import alerteMixin from '~/components/mixins/alerteMixin';

export default {
  name: 'MtAlertes',
  mixins: [alerteMixin],
  props: {
    dateAlerte: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
header {
  background-color: $pale-grey-two;
  padding: 0.25rem 1rem;
  font-size: 0.875em;
  cursor: default;
  margin: 0 !important;
}
</style>
